[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: gstreamer-plugins-bad where art thou?



On 06/16/2009 06:30 AM, Frank Murphy wrote:
On 16/06/09 12:25, Brian Millett wrote:
trying to update the gstreamer packages, there seems to be one missing:

Transaction Check Error:
file /usr/lib/gstreamer-0.10/libgstdeinterlace.so from install of
gstreamer-plugins-good-0.10.15-1.fc11.i586 conflicts with file from
package gstreamer-plugins-bad-0.10.11-4.fc11.i586
file /usr/lib/gstreamer-0.10/libgstflv.so from install of
gstreamer-plugins-good-0.10.15-1.fc11.i586 conflicts with file from
package gstreamer-plugins-bad-0.10.11-4.fc11.i586
file /usr/lib/gstreamer-0.10/libgsty4menc.so from install of
gstreamer-plugins-good-0.10.15-1.fc11.i586 conflicts with file from
package gstreamer-plugins-bad-0.10.11-4.fc11.i586


Did gstreamer-plugins-bad not get built?



There's a conflict.
you have to either remove the good to use the bad.
Or leave the good forget the bad.
iirc


That's not so easy to do....

# yum remove gstreamer-plugins-good
Loaded plugins: refresh-packagekit
Setting up Remove Process
Resolving Dependencies
--> Running transaction check
---> Package gstreamer-plugins-good.i586 0:0.10.14-2.fc11 set to be erased
--> Processing Dependency: gstreamer-plugins-good >= 0.10.6 for package: gnome-applets --> Processing Dependency: gstreamer-plugins-good >= 0.10.6-2 for package: cheese --> Processing Dependency: gstreamer-plugins-good >= 0.10.0 for package: totem-gstreamer --> Processing Dependency: gstreamer-plugins-good >= 0.10.7 for package: farsight2
--> Running transaction check
---> Package cheese.i586 0:2.26.0-1.fc11 set to be erased
---> Package farsight2.i586 0:0.0.9-1.fc11 set to be erased
--> Processing Dependency: libgstfarsight-0.10.so.0 for package: telepathy-farsight --> Processing Dependency: libgstfarsight-0.10.so.0 for package: empathy-libs
---> Package gnome-applets.i586 1:2.26.1-3.fc11 set to be erased
---> Package totem-gstreamer.i586 0:2.26.2-1.fc11 set to be erased
--> Processing Dependency: libbaconvideowidget.so.0 for package: totem-nautilus
--> Processing Dependency: libbaconvideowidget.so.0 for package: totem
--> Processing Dependency: libbaconvideowidget.so.0 for package: totem-mozplugin
--> Processing Dependency: totem-gstreamer for package: totem
--> Running transaction check
---> Package empathy-libs.i586 0:2.26.1-1.fc11 set to be erased
---> Package telepathy-farsight.i586 0:0.0.6-1.fc11 set to be erased
---> Package totem.i586 0:2.26.2-1.fc11 set to be erased
---> Package totem-mozplugin.i586 0:2.26.2-1.fc11 set to be erased
---> Package totem-nautilus.i586 0:2.26.2-1.fc11 set to be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
Package Arch Version Repository Size
================================================================================
Removing:
gstreamer-plugins-good i586 0.10.14-2.fc11 installed 2.8 M
Removing for dependencies:
cheese i586 2.26.0-1.fc11 installed 3.9 M empathy-libs i586 2.26.1-1.fc11 installed 636 k farsight2 i586 0.0.9-1.fc11 installed 387 k gnome-applets i586 1:2.26.1-3.fc11 installed 15 M telepathy-farsight i586 0.0.6-1.fc11 installed 85 k totem i586 2.26.2-1.fc11 installed 7.4 M totem-gstreamer i586 2.26.2-1.fc11 installed 131 k totem-mozplugin i586 2.26.2-1.fc11 installed 420 k totem-nautilus i586 2.26.2-1.fc11 installed 47 k

Transaction Summary
================================================================================
Install      0 Package(s)
Update       0 Package(s)
Remove      10 Package(s)

Is this ok [y/N]: n


--

  Steve


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]